Bug 22313 - ipchains when the rules fails
ipchains when the rules fails
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: ipchains (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-12-14 15:15 EST by Emmanuel Galanos
Modified: 2007-04-18 12:30 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-07 17:17:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Emmanuel Galanos 2000-12-14 15:15:08 EST
When there is a problem with the chains rules

/etc/init.d/ipchains

Happily prints out an error message and exits. If remotely administering
the box in question this is often bad. The script alss touches the file
in the subsys dir in the failure case. Could this script please be modified
to something like:

            if grep -v "^[[:space:]]*#" $IPCHAINS_CONFIG | grep -v
'^[[:space:]]*$' | /sbin/ipchains-restore -p -f
            then
                    success "Applying ipchains firewall rules"
                    echo
                    touch /var/lock/subsys/ipchains
            else
                    failure "Applying ipchains firewall rules"
                    echo
                    $0 stop
            fi

thanks
Comment 1 Mike A. Harris 2001-01-28 16:59:13 EST
Ive changed the severity to Enhancement request.
Comment 2 Mike A. Harris 2001-10-30 02:17:51 EST
Defering for future consideration.

Note You need to log in before you can comment on or make changes to this bug.